Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023229Runner[All Projects] HTML5Public2016-08-17 17:072017-08-02 14:18
Reporterzen 
Assigned ToMike Dailly 
PriorityMediumSeverityC - GeneralReproducibility100%
StatusClosedResolutionFixed 
Platform OS OS Version
Summary0023229: HTML5: draw_texture_flush() doesn't work
DescriptionDoing some test with GPU-Z, I've noticed that, in Windows (with "Create textures on demand" option enabled), draw_texture_flush() do its works perfectly and memory usage drops consistently when the function is called.

In HTML5 (using Chrome or Firefox), I've noticed that the VRAM usage is not affected in any way by draw_texture_flush(). The amount of VRAM increase during the game progress and no matter what I do, It simply never drops unless I close the tab. I tracked this using GPU-Z,Chrome's task manager and Firefox's about:memory option - the result is congruent in all tools.
Additional InformationOriginal helpdesk ticket: http://help.yoyogames.com/tickets/110123 [^]

https://forum.yoyogames.com/index.php?threads/draw_texture_flush-doesnt-work-in-html5.4818/ [^]
1.4 Version
2.x Runtime Version
2.x Runtime Version Verified In
Attached Files

- Relationships

-  Notes
(0046871)
ricardocostaza (Updater)
2016-08-17 20:22

There is any temporary workaround I can use to solve this? I have a very important paid project affected by this bug.
(0047737)
ricardocostaza (Updater)
2016-08-31 18:11

background_flush and sprite_flush are also unimplemented in HTML5.
(0053215)
ricardocostaza (Updater)
2017-05-18 13:35

I can confirm this function still doesn't do its work correctly in GMS 1.99.549 (webGL on). Just check Chrome's Task Manager in any game and enable the "GPU memory" option. VRAM usage never decrease no matter what.
(0053599)
Mike Dailly (Manager)
2017-06-13 17:58

fixed.

Also fixed a memory leak. Second texture was being created prior to dynamic image having been loaded. This was then "forgotten" and memory being lost.


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker